Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226252 - Merge Review: perl-DBD-Pg
Summary: Merge Review: perl-DBD-Pg
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:34 UTC by Nobody's working on this, feel free to take it
Modified: 2012-03-13 14:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:35:14 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:34:55 UTC
Fedora Merge Review: perl-DBD-Pg

http://cvs.fedora.redhat.com/viewcvs/devel/perl-DBD-Pg/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 10:59:17 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)you may like to use simple disttag as "5%{?dist}" only


Comment 2 Robin Norwood 2007-10-25 03:40:22 UTC
1) fixed.
2) Fixed - I, too, hate dots after the %{?dist} tag.  I blame spot.

I also fixed the BR: perl-DBI > 1.38 to be BR: perl(DBI) > 1.38 and changed
Patch: to be Patch0:

New version is: perl-DBD-Pg-1.49-6.fc9

Comment 3 Parag AN(पराग) 2007-10-25 04:31:47 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
76b9d6a2f4cbaefcba23380f83998215  DBD-Pg-1.49.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package perl-DBD-Pg-1.49-6.fc8 ->
  Provides: Pg.so perl(DBD::Pg) = 1.49 perl(DBD::Pg::DefaultValue)
perl(DBD::Pg::db) perl(DBD::Pg::dr) perl(DBD::Pg::st)
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libpq.so.5
perl >= 0:5.006001 perl(:MODULE_COMPAT_5.8.8) perl(DBI) perl(DBI) >= 1.38
perl(DynaLoader) perl(Exporter) perl(strict) perl(vars) rtld(GNU_HASH)

APPROVED.


Comment 4 Parag AN(पराग) 2007-11-11 07:04:12 UTC
Can we CLOSE this review if package is already built and in rawhide?

Comment 5 Petr Pisar 2012-03-13 14:19:40 UTC
Package Change Request
======================
Package Name: perl-DBD-Pg
Branches: f15 f16 f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 6 Gwyn Ciesla 2012-03-13 14:39:43 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.